---
"@context": https://schema.org
"@type": TechArticle
"@id": https://www.twilio.com/docs/api/insights/twilio-insights-config#article
headline: Twilio Insights Config endpoints
description: Overview of Insights API (v3) - Twilio Insights Config endpoints
url: https://www.twilio.com/docs/api/insights/twilio-insights-config
inLanguage: en
author:
  "@type": Organization
  name: Twilio Developer Education Team
publisher:
  "@type": Organization
  name: Twilio
---

# Twilio Insights Config endpoints

> \[!IMPORTANT]
>
> Conversation Insights, including the APIs, is currently available as a public beta release and the information contained in this document is subject to change. Some features are not yet implemented and others may be changed before the product is declared as generally available. Public beta products are not covered by the Twilio Support Terms or Twilio Service Level Agreement.
>
> Conversation Insights is not PCI compliant or a HIPAA Eligible Service and should not be used in workflows that are subject to HIPAA or PCI.
>
> Conversations products are only available in the [new Twilio Console](https://1console.twilio.com). If your account hasn't been migrated, you'll be redirected to the legacy Console where these products won't appear.

## Overview

Twilio Insights Config API for custom measure field mapping registration.

## Endpoints

* [`POST /v3/ControlPlane/ConversationInsights/CustomFieldMappings`](/docs/api/insights/twilio-insights-config/create-custom-field-mapping) - Register a custom measure field mapping
* [`GET /v3/ControlPlane/ConversationInsights/CustomFieldMappings`](/docs/api/insights/twilio-insights-config/list-custom-field-mappings) - List custom measure field mappings for an account
* [`GET /v3/ControlPlane/ConversationInsights/CustomFieldMappings/{mappingId}`](/docs/api/insights/twilio-insights-config/fetch-custom-field-mapping) - Fetch a custom field mapping
* [`PATCH /v3/ControlPlane/ConversationInsights/CustomFieldMappings/{mappingId}`](/docs/api/insights/twilio-insights-config/patch-custom-field-mapping) - Update a custom field mapping
* [`GET /v3/ControlPlane/ConversationInsights/CustomFieldMappingsCapacity`](/docs/api/insights/twilio-insights-config/fetch-custom-field-mapping-capacity) - Get custom field mapping capacity for an account
